Retrieve a list of all puppetclasses using the REST Api
06/16/2010 08:35 PM - Gustavo Soares

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: API

Target version: 0.1-6

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When playing aroung with the rest api | missed the feature to retrieve a list of all puppetclasses with their respective ids.

So, | alter the file app/controllers/puppetclasses_controller.rb to include a method to retrieve a json object with all classes with their

ids.
def all
@puppetclasses = Puppetclass.find(:all, :select => "id,
render :json => (@puppetclasses
end

Then, in the router.rb file | add:
map.connect "/puppetclasses/all”, :controller => 'puppetclasses’, :action => "all’

| am not a big ruby expert, so | don't know if this is the best approach... :)

name", :order => 'id').to_json

Associated revisions

Revision 3aa6ea3f - 10/06/2010 01:24 PM - Ohad Levy
fixes #325 - Retrieve a list of all puppet classes using the REST API

History

#1 - 09/19/2010 03:52 PM - Ohad Levy

patch? :)
look for the format_for for examples

#2 - 09/28/2010 06:53 PM - Gustavo Soares
Ohad Levy wrote:

patch? :)
look for the format_for for examples

Take a look at this patch: http:/github.com/gustavosoares/foreman/commit/daf07f29b9559f239c6dedca877e6d7cdeb744b4

#3 - 10/06/2010 01:22 PM - Ohad Levy
- Category set to API
- Assignee set to Ohad Levy

- Target version set to 0.1-6

#4 - 10/06/2010 02:00 PM - Ohad Levy
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100
http://github.com/gustavosoares/foreman/commit/daf07f29b9559f239c6de4ca877e6d7cdeb744b4

Applied in changeset 3aabea3f48aa3c54e37970b9ebbbf5c96f6ca22d.

#5 - 10/08/2010 11:40 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
